# Class Timeline

Class Timeline

Declaration :

- C++ : class Timeline

Directly inherited by : TimelineView

Relation <aggregation by value>

Declaration :

- Uml : # : Project, multiplicity : 1
- C++ : protected: Project

Relation <unidirectional association>

Declaration :

- Uml : # : PlayControl
- C++ : protected: PlayControl*

Relation <unidirectional association>

Declaration :

- Uml : # : Sequence, multiplicity : 1
- C++ : protected: Sequence*

Relation globalBusses (<directional aggregation by value>)

Declaration :

- Uml : # globalBusses : Pipe, multiplicity : *
- C++ : protected: Pipe globalBusses